package org.netkernel.layer0.meta.impl;

import java.net.URI;

import org.netkernel.layer0.meta.IModuleMeta;
import org.netkernel.urii.IIdentifier;


public class ModuleMetaImpl extends MetaRepresentationImpl implements	IModuleMeta
{
	private final URI mSource;
	private final String mVersion;
	private final String mIdentifier;
	
	public ModuleMetaImpl(String aName, String aDescription, IIdentifier aIcon, IIdentifier aDoc, URI aSource, String aVersion, String aIdentifier)
	{	super(aName, aDescription, aIcon, aDoc);
		mSource=aSource;
		mVersion=aVersion;
		mIdentifier=aIdentifier; 
	}

	public URI getSource()
	{	return mSource;	
	}
	
	public String getVersion()
	{	return mVersion;
	}

	public String getIdentifier()
	{	return mIdentifier;
	}
	
	
}
